#
# spec file for package taglib (Version 1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm graphviz grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-libs zlib zlib-devel

Name:           taglib
BuildRequires:  doxygen gcc-c++ graphviz libjpeg-devel update-desktop-files
License:        LGPL
Group:          Development/Libraries/C and C++
Summary:        C++ Library to Parse Metadata in Media Files
URL:            http://ktown.kde.org/~wheeler/taglib/
Version:        1.4
Release:        20.2
Source0:        %name-%version.tar.bz2
Source1:        %name.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libtag provides a C++ interface for reading additional data (stored in
TAGs) from MP3, Ogg Vorbis, and MPEG files.



Authors:
--------
    Scott Wheeler <wheeler@kde.org>

%debug_package
%package devel
Group:          Development/Libraries/C and C++
License:        LGPL
Summary:        C++ Library to Parse Metadata in media files
Requires:       taglib = %{version}

%description devel
libtag provides a C++ interface for reading additional data (stored in
TAGs) from MP3, Ogg Vorbis, and MPEG files.



Authors:
--------
    Scott Wheeler <wheeler@kde.org>

%prep
%setup -q
make -f Makefile.cvs

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
  --prefix=/usr \
  --libdir=%_libdir \
  --mandir=%_mandir \
  --sysconfdir=/etc/
make
# check the library
cd tests
make toolkit-test
./toolkit-test
cd ../taglib-api
doxygen taglib.doxygen

%install
make DESTDIR="$RPM_BUILD_ROOT" install
# install susehelp file
mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
install -m 0644 %SOURCE1 \
        $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/%name.desktop
mkdir -p $RPM_BUILD_ROOT%_defaultdocdir/%name
cp -a AUTHORS COPYING README taglib-api/html \
      $RPM_BUILD_ROOT%_defaultdocdir/%name/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%dir %doc %_defaultdocdir/%name
%doc %_defaultdocdir/%name/AUTHORS
%doc %_defaultdocdir/%name/COPYING
%doc %_defaultdocdir/%name/README
%_libdir/libtag*.so.*

%files devel
%defattr(-,root,root)
%doc %_defaultdocdir/%name/html
/usr/share/susehelp
/usr/bin/taglib-config
/usr/include/taglib
%_libdir/libtag*.so
%_libdir/libtag*.la
%_libdir/pkgconfig/taglib.pc

%changelog -n taglib
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 29 2005 - ro@suse.de
- added fontconfig to nfb
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Wed Aug 10 2005 - dmueller@suse.de
- fix filelist
* Tue Aug 09 2005 - dmueller@suse.de
- don't package empty TODO file
* Thu Jul 28 2005 - adrian@suse.de
- update to version 1.4
* Mon Nov 08 2004 - adrian@suse.de
- update to version 1.3.1
  * 64bit OGG/Vorbis file lenght fixes
  * crash fixes with broken mp3 files
* Fri Oct 01 2004 - adrian@suse.de
- fix susehelp entry for API documentation
* Fri Sep 10 2004 - adrian@suse.de
- update to version 1.3
  * support for AOE tags and MPC files
  * compressed ID3v2 frame support
  * several checks for SIGFPE
* Wed Jul 28 2004 - adrian@suse.de
- update to version 1.2
  * flac in ogg support
  * support for relativ volume adjustement
  * support for attached picture
* Sun Apr 18 2004 - adrian@suse.de
- update to version 1.1
  * bugfixes
  * some more supported tag types
  * speed improvements
* Wed Jan 21 2004 - adrian@suse.de
- update to version 1.0 final
- generate and install API documentation
* Mon Dec 15 2003 - adrian@suse.de
- update to version 0.96 (beta 2)
* Thu Nov 13 2003 - adrian@suse.de
- update to current HEAD, to get kdemultimedia compiling again
* Mon Nov 03 2003 - adrian@suse.de
- package also taglib_c.so
* Mon Nov 03 2003 - adrian@suse.de
- update to version 0.95 (beta 1)
* Thu Oct 30 2003 - adrian@suse.de
- initial package from kdeextragear-2/taglib snapshot
